from django.shortcuts import render
from django.core.paginator import Paginator
from django_web.models import ArtiInfo


def index(request):
    limit = 3
    paginator = Paginator(ArtiInfo.objects,limit)
    page = request.GET.get('page',1)

    loaded = paginator.page(page) # 注意这里是小写的
    content = {'ArtiInfo' : loaded} # 注意这里不能直接写字典
    return render(request,'index.html',content)